readme

本地环境:

操作系统：win 11 21H1

发行版：TeX Live 2021

编译方式：XeLaTeX

编辑器：TeX Studio

问题描述：

**关于minted在elegantbook模板中无法修改字体！**



document.tex 为正常文件,

```tex
\documentclass[10pt,a4paper]{article}
\usepackage{minted}
\usepackage{ctex}
\newfontfamily\bfont{Source Code Pro}[NFSSFamily=ArialFamily]
\setminted[vim]{fontfamily=ArialFamily}
\begin{document}
\begin{minted}{vim}
[root@localhost mail]# grep -Ev '^$|^[#;]' /etc/dnsmasq.conf
conf-dir=/etc/dnsmasq.d,.rpmnew,.rpmsave,.rpmorig
# 修改dnsmasq.conf，大概如下参数
# 指定上游dns服务器参数
resolv-file=/etc/resolv.dnsmasq.conf
├─2022高等代数(2)
│  ├─cha
│  ├─figure
│  ├─image
│  └─_minted-elegantbook-cn
├─bhcexam-master
│  └─examples
├─gaokao_exam-master
│  └─varint
\end{minted}
\end{document}
```

编译效果如图所示：

![figs1](.\figs1.png)

大致效果正常

**在使用elegantbook系列模板时，在导言区插入**

```tex
\newfontfamily\bfont{Source Code Pro}[NFSSFamily=ArialFamily]
\setminted[vim]{fontfamily=ArialFamily}
```

正文区使用

```tex
\begin{minted}{vim}
[root@localhost mail]# grep -Ev '^$|^[#;]' /etc/dnsmasq.conf
conf-dir=/etc/dnsmasq.d,.rpmnew,.rpmsave,.rpmorig
# 修改dnsmasq.conf，大概如下参数
# 指定上游dns服务器参数
resolv-file=/etc/resolv.dnsmasq.conf
├─2022高等代数(2)
│  ├─cha
│  ├─figure
│  ├─image
│  └─_minted-elegantbook-cn
├─bhcexam-master
│  └─examples
├─gaokao_exam-master
│  └─varint
\end{minted}
```

编译效果异常:

![figs2](figs2.png)